<?php
/**
 * Femina customization 
 *
 * @package Femina
 * @since Femina 1.0.7
 */

/**
 * Implement Customizer additions and adjustments.
 *
 * @since Femina 1.0.7
 *
 * @param WP_Customize_Manager $wp_customize Customizer object.
 */

function femina_customize_register ($wp_customize) {	

/**
* Removes the control for displaying or not the header text and adds the posibility of displaying the site title and tagline separately. */

//===============================
$wp_customize->remove_control('display_header_text');

//===============================
$wp_customize->add_setting('femina_theme_options[show_site_title]', array(
    'default'           => 1,
    'sanitize_callback' => 'absint',
    'capability'        => 'edit_theme_options',
    'type'           => 'option',
));

$wp_customize->add_control( 'show_site_title', array(
    'label'    => __('Display Site Title', 'femina'),
    'section'  => 'title_tagline',
    'settings' => 'femina_theme_options[show_site_title]',
    'type' => 'checkbox',
));
//===============================
$wp_customize->add_setting( 'femina_theme_options[show_site_description]', array(
    'default'        => 1,
    'sanitize_callback' => 'absint',
    'capability'     => 'edit_theme_options',
    'type'           => 'option',
));

$wp_customize->add_control('show_site_description', array(
    'label'      => __('Display Tagline', 'femina'),
    'section'    => 'title_tagline',
    'settings'   => 'femina_theme_options[show_site_description]',
    'type' => 'checkbox',
));

}

add_action( 'customize_register', 'femina_customize_register' );


function femina_get_option_defaults() {
	$defaults = array(
		'show_site_title' => 1,
		'show_site_description' => 1,
		
	);
	return apply_filters( 'femina_get_option_defaults', $defaults );
}

function femina_get_options() {
    // Options API
    return wp_parse_args( 
        get_option( 'femina_theme_options', array() ), 
        femina_get_option_defaults() 
    );
}


