<?php
/**
 * The Template for displaying all single posts
 *
 * @package Femina
 * @since Femina 1.0.7
 */
 ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
	<?php
		// Translators: used between list items, there is a space after the comma.
		$categories_list = get_the_category_list( __( ', ', 'femina' ) );
		if ( $categories_list ) :
			printf('<div class="entry-meta"><span class="cat-links">%1$s</span></div>', $categories_list);
		endif;

		the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
	?>

		<span class="byline">
		<?php
			// Translators: there is a space after "By".
			printf( __('By ', 'femina') );

			printf('<span class="entry-author"><a href="%1$s" rel="author">%2$s</a></span>',
			esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
			get_the_author());

			printf( '<span><a href="%1$s" rel="bookmark" class="entry-date"><time datetime="%2$s">%3$s</time></a></span>',
				esc_url( get_day_link(get_the_date('Y', $post->ID),get_the_date('m', $post->ID),get_the_date('d', $post->ID)) ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() ));
		?>
		</span><!-- .byline -->

		<span class="entry-meta">
			
		<?php 	if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
					<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'femina' ), __( '1 Comment', 'femina' ), __( '% Comments', 'femina' ) ); ?></span>
		<?php 	endif;

				edit_post_link( __( 'Edit', 'femina' ), '<span class="edit-link">', '</span>' ); ?>
		</span><!-- .entry-meta -->

	</header><!-- .entry-header -->

<?php 	if ( ! get_post_format() ):	
			if ( has_excerpt() ) : ?>
	<div class="entry-excerpt">
		<?php the_excerpt(); ?>
	</div>			
<?php 		endif;
		endif;

		if ( has_post_thumbnail() && ! has_post_format('image') && ! has_post_format('audio') && ! has_post_format('video') && ! has_post_format('gallery') ) :?>
	<div class="featured-image">
		<?php the_post_thumbnail(); ?>
	</div>
<?php 	endif; ?>

	<div class="entry-content">
<?php 	the_content();

		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'femina' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'femina' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) ); ?>		
	</div><!-- .entry-content -->

	<footer class="entry-footer">		
		<?php
		// Translators: used between list items, there is a space after the comma.
		$tag_list = get_the_tag_list( '', __( ', ', 'femina' ) );
		if ( $tag_list ) {
			echo '<div class="tag-links">' . $tag_list . '</div>';
		}
		printf(  '<p>'.__('This article was written by %s', 'femina' ).'</p>', get_the_author() );
			if ( '' != get_the_author_meta( 'description' ) ) {
				get_template_part( 'template-parts/author-bio' );
			}
		?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->

