<?php
/**
 * The Template for displaying all posts with format video in index pages.
 *
 * @package Femina
 * @since Femina 1.0.7
 */
 ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
	<header class="entry-header">

	<div class="entry-meta">
			<?php
				// Translators: used between list items, there is a space after the comma.
				$categories_list = get_the_category_list( __( ', ', 'femina' ) );
				if ( $categories_list ) {
					echo '<span class="cat-links">' . $categories_list . '</span>';
				}
			?>
	</div><!-- .entry-meta -->
	
	<?php 
		the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
	?>

	<?php if ( is_sticky() && is_home() && ! is_paged() ) {
			echo '<span class="featured-post"><span class="screen-reader-text">' . __( 'Featured', 'femina' ) . '</span></span>';
		}
	?>
	<div class="entry-meta">
		<?php
			$format = get_post_format(); // This is used to give a distinct style to every post format.
			$format_link = get_post_format_link($format);
			if ($format):
				printf('<span class="post-format"><a href="%1$s">%2$s</a></span>', esc_url( $format_link ) , $format );
			endif;
		?>

		<span class="byline">
			<?php
				if ( 'post' == get_post_type() ) {
				// Translators: there is a space after "By".
				print(__('By ', 'femina'));
				printf( '<span><a href="%1$s" rel="author">%2$s</a></span>',
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				get_the_author() );
				}
			?>
		</span><!--.byline -->
		<?php edit_post_link( __( 'Edit', 'femina' ), '<span class="edit-link">', '</span>' );?>
	</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		/* Translators: %s: Name of current post */
		the_content( sprintf( __( 'Continue reading', 'femina' ).' %s',
			the_title( '<span class="screen-reader-text">', '</span>', false )
		) );

		?>

	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<div class="entry-meta">

			<?php
			printf( '<span><a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a></span>',
			esc_url( get_permalink() ),
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date() )
			);	

			if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
				<span class="comments-link"><?php comments_popup_link( '0', '1', '%' ); ?></span>
			<?php endif ?>
			
		</div><!-- .entry-meta -->

		<?php
			// Author bio.
			if ( is_single() && get_the_author_meta( 'description' ) ) :
				get_template_part( 'author-bio' );
			endif;
		?>

		<?php
		// Translators: used between list items, there is a space after the comma.
			$tag_list = get_the_tag_list( '', __( ', ', 'femina' ) );
			if ( $tag_list ) {
				echo '<span class="tags-links entry-meta">' . $tag_list . '</span>';
			}
		?>		
	</footer><!-- .entry-footer -->

</article><!-- #post-## -->