<?php
/**
 * The default template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package Femina
 * @since Femina 1.0.7
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
	<header class="entry-header">

		<div class="entry-meta">
		<?php
			// Translators: used between list items, there is a space after the comma.
			$categories_list = get_the_category_list( __( ', ', 'femina' ) );
			if ( $categories_list ) {
				echo '<span class="cat-links">' . $categories_list . '</span>';
			}
		?>
		</div><!-- .entry-meta -->
	
	<?php		
		the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
	?>

	<?php if ( is_sticky() && is_home() && ! is_paged() ) {
			echo '<span class="featured-post"><span class="screen-reader-text">' . __( 'Featured', 'femina' ) . '</span></span>';
		}
	?>
		<div class="entry-meta">
		<?php
			$format = get_post_format(); // This is used to give a distinct style to every post format.
			$format_link = get_post_format_link($format);
			if ($format):
				printf('<span class="post-format"><a href="%1$s">%2$s</a></span>', esc_url( $format_link ) , $format );
			endif;
		?>
			<span class="byline">
			<?php
				if ( 'post' == get_post_type() ) {
				// Translators: there is a space after "By".
				print(__('By ', 'femina'));
				printf( '<span><a href="%1$s" rel="author">%2$s</a></span>',
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				get_the_author() );
				}
			?>
			</span><!--.byline -->
			<?php edit_post_link( __( 'Edit', 'femina' ), '<span class="edit-link">', '</span>' );?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="post-thumbnail">
		<?php if ( has_post_thumbnail() ) : ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
        	<?php the_post_thumbnail(); ?>
    		</a>
		<?php endif; ?>
	</div><!-- post-thumbnail -->

	<div class="entry-content">
		<?php
		if ( strpos( $post->post_content, '<!--more' ) || get_post_format() ) {
			the_content( sprintf(
				__( 'Continue reading', 'femina' ).' %s <span class="meta-nav">&rarr;</span>',
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );
		}

		else {
			the_excerpt();
		}
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<div class="entry-meta">
		<?php
			printf( '<span><a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a></span>',
			esc_url( get_permalink() ),
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date() )
			);				

			// Author bio.
			if ( is_single() && get_the_author_meta( 'description' ) ) :
				get_template_part( 'author-bio' );
			endif;
		
			// Translators: used between list items, there is a space after the comma.
			$tag_list = get_the_tag_list( '', __( ', ', 'femina' ) );
			if ( $tag_list ) {
				echo '<span class="tags-links entry-meta">' . $tag_list . '</span>';
			}

			if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
				<span class="comments-link"><?php comments_popup_link( '0', '1', '%' ); ?></span>
			<?php endif; 
		?>
		</div><!-- .entry-meta -->	
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->

